1.1 --- a/configure Sun Dec 11 05:15:36 2005 +0000
1.2 +++ b/configure Sun Jun 18 12:01:06 2006 +0000
1.3 @@ -4238,7 +4238,6 @@
1.7 -pkg_modules="libgnomeui-2.0"
1.11 @@ -4293,23 +4292,23 @@
1.13 PKG_CONFIG_MIN_VERSION=0.9.0
1.14 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
1.15 - echo "$as_me:$LINENO: checking for $pkg_modules" >&5
1.16 -echo $ECHO_N "checking for $pkg_modules... $ECHO_C" >&6
1.18 - if $PKG_CONFIG --exists "$pkg_modules" ; then
1.19 + echo "$as_me:$LINENO: checking for libgnomeui-2.0 esound " >&5
1.20 +echo $ECHO_N "checking for libgnomeui-2.0 esound ... $ECHO_C" >&6
1.22 + if $PKG_CONFIG --exists " libgnomeui-2.0 esound " ; then
1.23 echo "$as_me:$LINENO: result: yes" >&5
1.24 echo "${ECHO_T}yes" >&6
1.27 echo "$as_me:$LINENO: checking PACKAGE_CFLAGS" >&5
1.28 echo $ECHO_N "checking PACKAGE_CFLAGS... $ECHO_C" >&6
1.29 - PACKAGE_CFLAGS=`$PKG_CONFIG --cflags "$pkg_modules"`
1.30 + PACKAGE_CFLAGS=`$PKG_CONFIG --cflags " libgnomeui-2.0 esound "`
1.31 echo "$as_me:$LINENO: result: $PACKAGE_CFLAGS" >&5
1.32 echo "${ECHO_T}$PACKAGE_CFLAGS" >&6
1.34 echo "$as_me:$LINENO: checking PACKAGE_LIBS" >&5
1.35 echo $ECHO_N "checking PACKAGE_LIBS... $ECHO_C" >&6
1.36 - PACKAGE_LIBS=`$PKG_CONFIG --libs "$pkg_modules"`
1.37 + PACKAGE_LIBS=`$PKG_CONFIG --libs " libgnomeui-2.0 esound "`
1.38 echo "$as_me:$LINENO: result: $PACKAGE_LIBS" >&5
1.39 echo "${ECHO_T}$PACKAGE_LIBS" >&6
1.41 @@ -4317,7 +4316,7 @@
1.43 ## If we have a custom action on failure, don't print errors, but
1.44 ## do set a variable so people can do so.
1.45 - PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$pkg_modules"`
1.46 + PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors " libgnomeui-2.0 esound "`
1.47 echo $PACKAGE_PKG_ERRORS
1.50 @@ -4332,12 +4331,86 @@
1.51 if test $succeeded = yes; then
1.54 - { { echo "$as_me:$LINENO: error: Library requirements ($pkg_modules) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
1.55 -echo "$as_me: error: Library requirements ($pkg_modules) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
1.56 - { (exit 1); exit 1; }; }
1.60 + { { echo "$as_me:$LINENO: error: Library requirements ( libgnomeui-2.0 esound ) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
1.61 +echo "$as_me: error: Library requirements ( libgnomeui-2.0 esound ) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
1.62 + { (exit 1); exit 1; }; }
1.69 +echo "$as_me:$LINENO: checking for glXQueryVersion in -lGL" >&5
1.70 +echo $ECHO_N "checking for glXQueryVersion in -lGL... $ECHO_C" >&6
1.71 +if test "${ac_cv_lib_GL_glXQueryVersion+set}" = set; then
1.72 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.74 + ac_check_lib_save_LIBS=$LIBS
1.76 +cat >conftest.$ac_ext <<_ACEOF
1.79 +cat confdefs.h >>conftest.$ac_ext
1.80 +cat >>conftest.$ac_ext <<_ACEOF
1.81 +/* end confdefs.h. */
1.83 +/* Override any gcc2 internal prototype to avoid an error. */
1.87 +/* We use char because int might match the return type of a gcc2
1.88 + builtin and then its argument prototype would still apply. */
1.89 +char glXQueryVersion ();
1.93 +glXQueryVersion ();
1.98 +rm -f conftest.$ac_objext conftest$ac_exeext
1.99 +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
1.100 + (eval $ac_link) 2>conftest.er1
1.102 + grep -v '^ *+' conftest.er1 >conftest.err
1.103 + rm -f conftest.er1
1.104 + cat conftest.err >&5
1.105 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.106 + (exit $ac_status); } &&
1.107 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1.108 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1.109 + (eval $ac_try) 2>&5
1.111 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.112 + (exit $ac_status); }; } &&
1.113 + { ac_try='test -s conftest$ac_exeext'
1.114 + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1.115 + (eval $ac_try) 2>&5
1.117 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.118 + (exit $ac_status); }; }; then
1.119 + ac_cv_lib_GL_glXQueryVersion=yes
1.121 + echo "$as_me: failed program was:" >&5
1.122 +sed 's/^/| /' conftest.$ac_ext >&5
1.124 +ac_cv_lib_GL_glXQueryVersion=no
1.126 +rm -f conftest.err conftest.$ac_objext \
1.127 + conftest$ac_exeext conftest.$ac_ext
1.128 +LIBS=$ac_check_lib_save_LIBS
1.130 +echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glXQueryVersion" >&5
1.131 +echo "${ECHO_T}$ac_cv_lib_GL_glXQueryVersion" >&6
1.132 +if test $ac_cv_lib_GL_glXQueryVersion = yes; then
1.133 + cat >>confdefs.h <<_ACEOF
1.134 +#define HAVE_LIBGL 1
1.137 + LIBS="-lGL $LIBS"
1.142 GETTEXT_PACKAGE=dream